# Serial interval of SARS-CoV-2 was shortened over time by non-pharmaceutical interventions

## Abstract

Studies of novel coronavirus disease (COVID-19) have reported varying estimates of epidemiological parameters including serial interval distributions, i.e. the time between illness onset in successive cases in a transmission chain, and reproduction numbers. By compiling a line-list database of transmission pairs in mainland China, we show that mean serial intervals of COVID-19 have shortened substantially from 7.8 days to 2.6 days within a month (January 9 to February 13, 2020). This change is driven by enhanced non-pharmaceutical interventions, in particular case isolation. We also show that using real-time estimation of serial intervals allowing for variation over time, provides more accurate estimates of reproduction numbers than using conventionally fixed serial interval distributions. These findings would improve assessment of transmission dynamics, forecasting future incidence, and estimating the impact of control measures.

Published at Science: https://science.sciencemag.org/content/early/2020/07/20/science.abc9004   

## Data and code description

[Transmission Pairs data](/raw_data/TableS1_1407TransPairs.csv)

[Timeline data of each NPI in mainland China](/raw_data/NPI_data_FigS7.csv)

Most codes are ready in this [folder](/code). A few more will be uploaded soon.


## Authors

Name | Email | Twitter / WeChat | Github
------------ | ------------- | ------------- | -------------
Sheikh Taslim Ali | alist15@hku.hk | @alisheikhtaslim | @alisheikhtaslim 
Lin Wang | lw660@cam.ac.uk | @fdlwang | @PDGLin
Eric HY Lau | ehylau@hku.hk | @erichylau  |  @ehylau
Xiao-Ke Xu | xuxiaoke@foxmail.com | xiaokeeie  |
Zhanwei Du | duzhanwei0@gmail.com | @du8491 | @ZhanweiDU 
Ye Wu | wuye@bnu.edu.cn |   |   
Gabriel M. Leung | deanmed@hku.hk | @gmleunghku |   
Benjamin J. Cowling | bcowling@hku.hk | @bencowling88  |   


## Citation

```{bibtex}
@misc{Ali2020SerialInterval,
  author =       {S.T. Ali, L. Wang, E.H.Y. Lau, X.-K. Xu, Z. Du, Y. Wu, G.M. Leung, B.J. Cowling },
  title =        {Serial interval of SARS-CoV-2 was shortened over time by non-pharmaceutical interventions},
  howpublished = {Accessed on 2020-07-21 from \url{https://science.sciencemag.org/content/early/2020/07/20/science.abc9004}},
  year =         2020
  journal =      Science
}
```

